<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="root">
        <div>{{first}} 곱하기 {{second}}는?</div>
        <form v-on:submit="onSubmitForm">
            <input type="number" ref="answer" v-model="value">
            <button type="submit">입력</button>
        </form>
        <div id="result">{{result}}</div>
    </div>
</body>
<script>
    const app = new Vue({
        el: '#root',
        data: {
            first: Math.ceil(Math.random()*9),
            second: Math.ceil(Math.random()*9),
            value: '',
            result: '',
        },
        methods: {
            onSubmitForm(e) {
                e.preventDefault();
                if(this.first * this.second === parseInt(this.value)) {
                    this.result = '정답';
                    this.$refs.answer.focus();
                } else {
                    this.result = '땡';
                }
            }
        },
    });
</script>
</html>